Bug 847521 - [abrt] gimp-2.8.0-1.fc17: tile_ewidth: Process /usr/bin/gimp-2.8 was killed by signal 11 (SIGSEGV)
[abrt] gimp-2.8.0-1.fc17: tile_ewidth: Process /usr/bin/gimp-2.8 was killed b...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gimp (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:74f2a349694dbcd205abec1bbb0...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 11:47 EDT by Masafumi Horimoto
Modified: 2012-11-08 04:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-08 04:25:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (47.69 KB, text/plain)
2012-08-12 11:47 EDT, Masafumi Horimoto
no flags Details
File: maps (112.22 KB, text/plain)
2012-08-12 11:47 EDT, Masafumi Horimoto
no flags Details
File: dso_list (22.13 KB, text/plain)
2012-08-12 11:47 EDT, Masafumi Horimoto
no flags Details
File: build_ids (9.33 KB, text/plain)
2012-08-12 11:47 EDT, Masafumi Horimoto
no flags Details

  None (edit)
Description Masafumi Horimoto 2012-08-12 11:47:13 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        gimp-2.8 '/home/horimoto/Dropbox/\xe3\x82\xab\xe3\x83\xa1\xe3\x83\xa9\xe3\x82\xa2\xe3\x83\x83\xe3\x83\x97\xe3\x83\xad\xe3\x83\xbc\xe3\x83\x89/2012-08-12 18.37.04.jpg'
crash_function: tile_ewidth
executable:     /usr/bin/gimp-2.8
kernel:         3.5.1-1.fc17.x86_64
pid:            3939
pwd:            /home/horimoto
remote_result:  NOTFOUND
smolt_data:     Unable to save UUID to /etc/smolt/hw-uuid.  Please run once as root.
time:           2012年08月13日 00時35分23秒
uid:            500
username:       horimoto
xsession_errors: 

backtrace:      Text file, 48831 bytes
build_ids:      Text file, 9553 bytes
dso_list:       Text file, 22664 bytes
maps:           Text file, 114912 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/horimoto/2

core_backtrace:
:fd3b4b06b698fed8a4803cb4e7d1e5b153f36c79 0x3d4ce0 tile_ewidth [pie] -
:fd3b4b06b698fed8a4803cb4e7d1e5b153f36c79 0x3d06b7 - [pie] -
:fd3b4b06b698fed8a4803cb4e7d1e5b153f36c79 0x3c099c copy_region [pie] -
:fd3b4b06b698fed8a4803cb4e7d1e5b153f36c79 0x342c7f gimp_image_map_clear [pie] -
:fd3b4b06b698fed8a4803cb4e7d1e5b153f36c79 0x1087a9 - [pie] -
:fd3b4b06b698fed8a4803cb4e7d1e5b153f36c79 0x148383 gimp_tool_control [pie] -
:fd3b4b06b698fed8a4803cb4e7d1e5b153f36c79 0x170d49 gimp_display_set_image [pie] -
:fd3b4b06b698fed8a4803cb4e7d1e5b153f36c79 0x1712ea gimp_display_empty [pie] -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x206d8 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf943 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x27d88 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x91055 - libgtk-x11-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x20003 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x8fb33 - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14db4c - libgtk-x11-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x20450 - libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x2815ae - libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14b914 gtk_propagate_event libgtk-x11-2.0.so.0 -
:23d1440088fed14354e355ac2cbdba1f38fcf1a3 0x14bc7b gtk_main_do_event libgtk-x11-2.0.so.0 -
:fd952473da735f9c0f50de231aa3d84d7855ef57 0x61edc - libgdk-x11-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:fd3b4b06b698fed8a4803cb4e7d1e5b153f36c79 0xb8e98 app_run [pie] -
:fd3b4b06b698fed8a4803cb4e7d1e5b153f36c79 0xb8946 main [pie] -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=2
:HOSTNAME=zenit214.holly-linux.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/horimoto/keyring-7l6Wgj
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=IBus
:USER=********
:USERNAME=*******
:MAIL=/var/spool/mail/horimoto
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/horimoto/.local/bin:/home/horimoto/bin:/home/horimoto/android-sdk-linux/tools:/home/horimoto/android-sdk-linux/platform-tools:/opt/eclipse
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/horimoto
:XMODIFIERS=@im=ibus
:KDE_IS_PRELINKED=1
:GNOME_KEYRING_PID=1298
:LANG=ja_JP.utf8
:GDM_LANG=ja_JP.utf8
:KDEDIRS=/usr
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/horimoto
:SHLVL=1
:LOGNAME=horimoto
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-epsBEwK8Cl,guid=72509a642ce6e7d3b310028d00000065
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/horimoto
:DISPLAY=:0.0
:QT_PLUGIN_PATH=/usr/lib64/kde4/plugins:/usr/lib/kde4/plugins
:XAUTHORITY=/var/run/gdm/auth-for-horimoto-Kkw0NL/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1302,unix/unix:/tmp/.ICE-unix/1302
:SSH_AUTH_SOCK=/run/user/horimoto/keyring-7l6Wgj/ssh
:GPG_AGENT_INFO=/run/user/horimoto/keyring-7l6Wgj/gpg:0:1
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gimp.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=3939
:DESKTOP_STARTUP_ID=nautilus-1491-zenit214.holly-linux.com-gimp-2.8-1_TIME19753312

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29385                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29385                29385                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/horimoto/.xsession-errors
:pos:	3966
:flags:	0102002
:2:/home/horimoto/.xsession-errors
:pos:	3966
:flags:	0102002
:3:socket:[216100]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[216101]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[215329]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000
:9:pipe:[216104]
:pos:	0
:flags:	00
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:socket:[211805]
:pos:	0
:flags:	02004002
:12:pipe:[216105]
:pos:	0
:flags:	01
:13:/home/horimoto/.gimp-2.8/gimpswap.3939
:pos:	32746496
:flags:	0100002
:14:/home/horimoto/.cache/gegl-0.2/swap/3939-1
:pos:	41812224
:flags:	0100002
:15:/home/horimoto/.cache/gegl-0.2/swap/3939-1
:pos:	41812224
:flags:	0100002
:16:socket:[216729]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug 13 00:35:23 zenit214 kernel: [20163.502752] gimp-2.8[3939]: segfault at a ip 00007fd19a5d7ce0 sp 00007fffc2fda868 error 4 in gimp-2.8[7fd19a203000+580000]
:Aug 13 00:35:31 zenit214 abrt[4050]: Saved core dump of pid 3939 (/usr/bin/gimp-2.8) to /var/spool/abrt/ccpp-2012-08-13-00:35:23-3939 (333279232 bytes)
Comment 1 Masafumi Horimoto 2012-08-12 11:47:16 EDT
Created attachment 603798 [details]
File: backtrace
Comment 2 Masafumi Horimoto 2012-08-12 11:47:18 EDT
Created attachment 603799 [details]
File: maps
Comment 3 Masafumi Horimoto 2012-08-12 11:47:20 EDT
Created attachment 603800 [details]
File: dso_list
Comment 4 Masafumi Horimoto 2012-08-12 11:47:22 EDT
Created attachment 603801 [details]
File: build_ids
Comment 5 Nils Philippsen 2012-11-06 11:51:03 EST
Sorry for taking so long. What were you doing when GIMP crashed and can you reproduce this with the current updated version 2.8.2? Thanks!
Comment 6 Masafumi Horimoto 2012-11-06 13:41:30 EST
Recently it has no problems , I use GIMP updated version 2.8.2.
Thanks !

Note You need to log in before you can comment on or make changes to this bug.